Skip to main content
POST
Create Sheets Tab

Authorizations

X-API-Key
string
header
required

Your organization's API key (account in the bottom-left of the dashboard → Brosbots API).

Headers

authorization
string | null
X-API-Key
string | null

Path Parameters

connection_id
string
required

Body

application/json

A new tab to add to the spreadsheet behind a Google Sheets connection.

sheet_name
string
required
headers
string[]
spreadsheet_id
string | null

Response

Successful Response

Tabs and header row of the spreadsheet behind a Google Sheets connection.

sheets
string[]
sheet_name
string
default:""
columns
string[]
title
string
default:""
spreadsheet_id
string
default:""
preview_header
string[]
preview_rows
string[][]
row_count
integer | null